Please ensure that your device meets the minimum required OS (operating system) version to run the app. For iOS, the app requires a minimum of iOS 14.1 to install and use the app. For Android devices, the app requires a minimum of Android 4.1.1 to install and use the app.


If the app will still not download after updating the OS on your device, please restart your device and try again. If the app will still not download, please start a new support ticket and we will try and assist you.